---
title: "Retrieve Inventory Item Location Logs By Code"
slug: "retrieve-inventory-item-location-logs-by-code"
updated: 2026-05-26T12:48:31Z
published: 2026-05-26T12:48:45Z
canonical: "developers.cmicglobal.com/retrieve-inventory-item-location-logs-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Inventory Item Location Logs By Code

Get/ci-rest-api/rest/1/ciitemloclog

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select by Code

#### Select by Code

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| CompCode | Company Code | 001 |
| ItemCode | Item Code | SAND |
| LocCode | Location Code | ASPHALT |
| ItemTypeCode | Item Type Code | 001 |
| SellPriceAmt | Sell Price | 100 |
| CostAmt | Cost Amount | 10 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectByCode;SellPriceAmt=0,CompCode=001,ItemCode=SAND,LocCode=ASPHALT, ItemTypeCode=AG,CostAmt=0
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleCitlLocCode:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='f5275bb3-cc95-4a8d-b7ab-1456cdc05b93'>application/json</option>
</select>

```json
{
  "items": [
    {
      "CitlCompCode": "001",
      "CitlItemCode": "SAND",
      "CitlItemTypeCode": "AG",
      "CitlLocCode": "ASPHALT",
      "CitlLocName": "Asphalt Plant",
      "CitlLowLevelFlag": "Y",
      "CitlBookOnHandQty": 0,
      "CitlOnHandQty": 0,
      "CitlBookCmpQty": 0,
      "CitlCmpQty": 0,
      "CitlOnOrderQty": 0,
      "CitlWmCode": "TN",
      "CitlCostAmt": 0,
      "CitlCostMethDesc": "Standard Cost",
      "CitlSellPriceAmt": 0,
      "CitlReserveQty": 0,
      "CitlBookReserveQty": 0,
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ci-rest-api/rest/1/ciitemloclog/0006000000033030310000000453414E440000000241470000000741535048414C5400000001800000000180",
          "name": "ciitemloclog",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ci-rest-api/rest/1/ciitemloclog/0006000000033030310000000453414E440000000241470000000741535048414C5400000001800000000180",
          "name": "ciitemloclog",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 5,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ci-rest-api/rest/1/ciitemloclog",
      "name": "ciitemloclog",
      "kind": "collection"
    }
  ]
}
```

object
